nifi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Olson <eol...@softnas.com>
Subject Re: Using NiFi S3 Processors with S3-Compatible Services?
Date Thu, 23 Jun 2016 17:47:31 GMT
I will tell you that there is some AWS regions that will only work with V4
when it comes to S3. I know for sure this is true of Frankfurt region for
example. So it is something worth considering

Eric

On 6/23/16, 1:44 PM, "Joe Skora" <jskora@gmail.com> wrote:

>Jim,
>
>I don't have time to research this more fully at the moment, but the S3
>processors use the AWS libraries that should know about the API versions.
>
>We may be bundling older library versions that pre-date the new API, but
>that should be easy to verify.  It looks like we bundle
>"com.amazonaws:aws-java-sdk:1.10.32" currently.  If that is too old and
>updating to a current library requires a lot of code changes, that seems
>like it would probably be a 1.0.0 change.
>
>Regards,
>Joe
>
>On Mon, Jun 20, 2016 at 2:40 PM, Tony Kurc <trkurc@gmail.com> wrote:
>
>> James,
>> I briefly used s3 ninja, and experienced no issues, but I was chiefly
>>using
>> it for integration testing.
>>
>> Tony
>>
>> On Mon, Jun 20, 2016 at 2:05 PM, James Wing <jvwing@gmail.com> wrote:
>>
>> > Is anyone using NiFi's S3 processors to work with non-Amazon,
>> S3-compatible
>> > services?  Would you be willing to share which service you are using
>>and
>> if
>> > you have experienced compatibility issues?
>> >
>> > Are you aware of the difference between S3's API signature versions 2
>>and
>> > 4?  NiFi's current default S3 signature version is version 2.  Would
>>you
>> be
>> > concerned about upgrading to a more recent AWS SDK where more
>>operations
>> > default to version 4?
>> >
>> > Changes in Signature Version 4
>> > http://docs.aws.amazon.com/general/latest/gr/sigv4_changes.html
>> >
>> >
>> > Thanks,
>> >
>> > James
>> >
>>


Mime
View raw message